> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withterminal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event Camera Media

> Get camera media for a given safety event.



## OpenAPI

````yaml GET /safety/events/{id}/camera-media
openapi: 3.1.0
info:
  title: Terminal Telematics API
  description: >-
    Terminal is a unified API that makes it easy to integrate with the leading
    telematics service providers.
  version: '0.0'
  contact:
    name: Terminal
    email: connect@withterminal.com
    url: https://www.withterminal.com
servers:
  - url: https://api.withterminal.com/tsp/v1
    description: Production
  - url: https://api.sandbox.withterminal.com/tsp/v1
    description: Sandbox
security:
  - Authorization: []
tags:
  - name: Authentication
  - name: Connections
  - name: Data Management
  - name: Drivers
  - name: Groups
  - name: Hours of Service
  - name: IFTA
  - name: Issues
  - name: Link
  - name: Providers
  - name: Safety
  - name: Trailers
  - name: Vehicles
  - name: Vehicle Utilization
  - name: Webhook Events
paths:
  /safety/events/{id}/camera-media:
    parameters:
      - schema:
          title: SafetyEventId
          type: string
          format: ulid
          pattern: ^sft_evt_[0-9A-HJKMNP-TV-Z]{26}$
          example: sft_evt_01D8ZQFGHVJ858NBF2Q7DV9MNC
        name: id
        in: path
        required: true
        description: The id of the safety event.
    get:
      tags:
        - Safety
      summary: Get Event Camera Media
      description: Get camera media for a given safety event.
      operationId: getEventCameraMedia
      parameters:
        - name: X-Application-Id
          in: header
          required: false
          description: >-
            Scopes the request to a Terminal application in the caller's
            organization. Required for multi-application organizations when
            using a user session or OAuth access token. API keys are already
            bound to a single application.
          schema:
            type: string
        - name: Connection-Token
          in: header
          required: true
          schema:
            type: string
            example: con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4
            pattern: ^con_tkn_\S+$
          description: >-
            The token returned when a user authenticated their account. This
            authorizes access to a specific account.
        - name: raw
          in: query
          required: false
          schema:
            type: boolean
          description: >-
            Include raw responses used to normalize model. Used for debugging or
            accessing unique properties that are not unified.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                title: Camera Media
                type: object
                x-model-category: other
                properties:
                  frontFacing:
                    description: The front facing camera media.
                    title: Camera Media File
                    type: object
                    properties:
                      sourceId:
                        type: string
                        description: >-
                          The identifier for the camera media file in the source
                          system.
                        example: '12345'
                      videoUrl:
                        description: A URL to download the video file.
                        example: https://example.com/video.mp4
                        type: string
                      imageUrl:
                        description: A URL to download the image file.
                        example: https://example.com/image.jpg
                        type: string
                  rearFacing:
                    description: The rear facing camera media.
                    title: Camera Media File
                    type: object
                    properties:
                      sourceId:
                        type: string
                        description: >-
                          The identifier for the camera media file in the source
                          system.
                        example: '12345'
                      videoUrl:
                        description: A URL to download the video file.
                        example: https://example.com/video.mp4
                        type: string
                      imageUrl:
                        description: A URL to download the image file.
                        example: https://example.com/image.jpg
                        type: string
                  raw:
                    title: RawDataList
                    type: array
                    example: []
                    items:
                      title: RawData
                      type: object
                      properties:
                        provider:
                          type: string
                        schema:
                          type: string
                        extractedAt:
                          type: string
                        data:
                          type: object
                      required:
                        - provider
                        - schema
                        - extractedAt
                        - data
                x-description: Media from vehicle cameras associated with safety events.
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - bad_request
                  message:
                    type: string
                    example: Invalid request body
                  detail:
                    type: array
                    items:
                      title: ErrorPathDetail
                      type: object
                      properties:
                        message:
                          type: string
                          example: '''vehicleId'' property must be a valid ulid'
                        path:
                          type: string
                          example: '{requestQuery}.vehicleId'
                        suggestion:
                          type: string
                          example: >-
                            Please ensure you submit a valid 'vehicleId'
                            property
                        context:
                          type: object
                      required:
                        - message
                        - path
                required:
                  - code
                  - message
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - unauthorized
                  message:
                    type: string
                    example: Unauthorized Request
                  detail:
                    type: string
                    example: Please ensure you have a valid API key
                required:
                  - code
                  - message
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - forbidden
                  message:
                    type: string
                    example: Forbidden Request
                  detail:
                    type: string
                    example: >-
                      Please ensure the connection token matches the resource
                      you are attempting to access.
                required:
                  - code
                  - message
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - not_found
                  message:
                    type: string
                    example: Resource not found
                  detail:
                    type: string
                    example: 'Could not find resource with ID: 2342342'
                required:
                  - code
                  - message
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  code:
                    enum:
                      - too_many_requests
                  retryAfter:
                    description: The number of seconds to wait before retrying the request
                    type: integer
                    example: 60
                  message:
                    type: string
                    example: Too Many Requests
                  detail:
                    type: string
                    example: You have exceeded your rate limit. Please try again later.
                required:
                  - code
                  - message
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - internal_server_error
                  message:
                    type: string
                    example: Internal Server Error
                  detail:
                    type: string
                    example: Something went wrong
                required:
                  - code
                  - message
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````